Skip to main content
GET
List prompts

Authorizations

API-Key
string
header
required

"Enter your organization API key. Example: 'cs_live_xxxx'"

Query Parameters

promptSetID
string

Filter to narrow the scope to a specific prompt set (all prompt sets in the organization if omitted)

cursor
string

nextCursor from the previous response (omit on the first request)

limit
integer

Page size (default 20, max 100)

contentContains
string

Partial match search on prompt content (clear cursor and query again when the search condition changes)

Response

OK

nextCursor
string

Cursor for the next page (null if there are no more)

Example:

"eyJpZCI6NzIzMDF9"

prompts
object[]

List prompts